Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.addressing
Interface WSAConstants

All Known Implementing Classes:
  AbstactAddressingHeadersFactory, AddressingHeadersFactory200408, AddressingHeadersFactory200502

    public interface WSAConstants

Constants for WS-Addressing.

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `WSA_200408_ANONYMOUS_URI`
`static java.lang.String` | `WSA_ACTION`
`static java.lang.String` | `WSA_ACTION_QNAME`
`static java.lang.String` | `WSA_ADDRESS`
`static java.lang.String` | `WSA_ADDRESS_QNAME`
`static java.lang.String` | `WSA_ENDPOINT_NAME`
`static java.lang.String` | `WSA_ENDPOINT_NAME_QNAME`
`static java.lang.String` | `WSA_FAULT_TO`
`static java.lang.String` | `WSA_FAULT_TO_QNAME`
`static java.lang.String` | `WSA_FROM`
`static java.lang.String` | `WSA_FROM_QNAME`
`static java.lang.String` | `WSA_INTERFACE_NAME`
`static java.lang.String` | `WSA_INTERFACE_NAME_QNAME`
`static java.lang.String` | `WSA_MESSAGE_ID`
`static java.lang.String` | `WSA_MESSAGE_ID_QNAME`
`static java.lang.String` | `WSA_NAMESPACE`
`static java.lang.String` | `WSA_NAMESPACE_200408`
`static java.lang.String` | `WSA_NAMESPACE_200502`
`static java.lang.String` | `WSA_POLICIES`
`static java.lang.String` | `WSA_POLICIES_QNAME`
`static java.lang.String` | `WSA_PREFIX`
`static java.lang.String` | `WSA_REFERENCE_PARAMETERS`
`static java.lang.String` | `WSA_REFERENCE_PARAMETERS_QNAME`
`static java.lang.String` | `WSA_REFERENCE_PROPERTIES`
`static java.lang.String` | `WSA_REFERENCE_PROPERTIES_QNAME`
`static java.lang.String` | `WSA_RELATES_TO`
`static java.lang.String` | `WSA_RELATES_TO_QNAME`
`static java.lang.String` | `WSA_RELATIONSHIP_TYPE`
`static java.lang.String` | `WSA_RELATIONSHIP_TYPE_QNAME`
`static java.lang.String` | `WSA_REPLY_TO`
`static java.lang.String` | `WSA_REPLY_TO_QNAME`
`static java.lang.String` | `WSA_SERVICE_NAME`
`static java.lang.String` | `WSA_SERVICE_NAME_QNAME`
`static java.lang.String` | `WSA_TO`
`static java.lang.String` | `WSA_TO_QNAME`

Field Detail

### WSA_NAMESPACE_200408

    static final java.lang.String WSA_NAMESPACE_200408

See Also:
  Constant Field Values

### WSA_NAMESPACE_200502

    static final java.lang.String WSA_NAMESPACE_200502

See Also:
  Constant Field Values

### WSA_200408_ANONYMOUS_URI

    static final java.lang.String WSA_200408_ANONYMOUS_URI

See Also:
  Constant Field Values

### WSA_PREFIX

    static final java.lang.String WSA_PREFIX

See Also:
  Constant Field Values

### WSA_ACTION

    static final java.lang.String WSA_ACTION

See Also:
  Constant Field Values

### WSA_ACTION_QNAME

    static final java.lang.String WSA_ACTION_QNAME

See Also:
  Constant Field Values

### WSA_TO

    static final java.lang.String WSA_TO

See Also:
  Constant Field Values

### WSA_TO_QNAME

    static final java.lang.String WSA_TO_QNAME

See Also:
  Constant Field Values

### WSA_FAULT_TO

    static final java.lang.String WSA_FAULT_TO

See Also:
  Constant Field Values

### WSA_FAULT_TO_QNAME

    static final java.lang.String WSA_FAULT_TO_QNAME

See Also:
  Constant Field Values

### WSA_FROM

    static final java.lang.String WSA_FROM

See Also:
  Constant Field Values

### WSA_FROM_QNAME

    static final java.lang.String WSA_FROM_QNAME

See Also:
  Constant Field Values

### WSA_REPLY_TO

    static final java.lang.String WSA_REPLY_TO

See Also:
  Constant Field Values

### WSA_REPLY_TO_QNAME

    static final java.lang.String WSA_REPLY_TO_QNAME

See Also:
  Constant Field Values

### WSA_RELATES_TO

    static final java.lang.String WSA_RELATES_TO

See Also:
  Constant Field Values

### WSA_RELATES_TO_QNAME

    static final java.lang.String WSA_RELATES_TO_QNAME

See Also:
  Constant Field Values

### WSA_MESSAGE_ID

    static final java.lang.String WSA_MESSAGE_ID

See Also:
  Constant Field Values

### WSA_MESSAGE_ID_QNAME

    static final java.lang.String WSA_MESSAGE_ID_QNAME

See Also:
  Constant Field Values

### WSA_RELATIONSHIP_TYPE

    static final java.lang.String WSA_RELATIONSHIP_TYPE

See Also:
  Constant Field Values

### WSA_RELATIONSHIP_TYPE_QNAME

    static final java.lang.String WSA_RELATIONSHIP_TYPE_QNAME

See Also:
  Constant Field Values

### WSA_REFERENCE_PROPERTIES

    static final java.lang.String WSA_REFERENCE_PROPERTIES

See Also:
  Constant Field Values

### WSA_REFERENCE_PROPERTIES_QNAME

    static final java.lang.String WSA_REFERENCE_PROPERTIES_QNAME

See Also:
  Constant Field Values

### WSA_REFERENCE_PARAMETERS

    static final java.lang.String WSA_REFERENCE_PARAMETERS

See Also:
  Constant Field Values

### WSA_REFERENCE_PARAMETERS_QNAME

    static final java.lang.String WSA_REFERENCE_PARAMETERS_QNAME

See Also:
  Constant Field Values

### WSA_ADDRESS

    static final java.lang.String WSA_ADDRESS

See Also:
  Constant Field Values

### WSA_ADDRESS_QNAME

    static final java.lang.String WSA_ADDRESS_QNAME

See Also:
  Constant Field Values

### WSA_INTERFACE_NAME

    static final java.lang.String WSA_INTERFACE_NAME

See Also:
  Constant Field Values

### WSA_INTERFACE_NAME_QNAME

    static final java.lang.String WSA_INTERFACE_NAME_QNAME

See Also:
  Constant Field Values

### WSA_SERVICE_NAME

    static final java.lang.String WSA_SERVICE_NAME

See Also:
  Constant Field Values

### WSA_SERVICE_NAME_QNAME

    static final java.lang.String WSA_SERVICE_NAME_QNAME

See Also:
  Constant Field Values

### WSA_ENDPOINT_NAME

    static final java.lang.String WSA_ENDPOINT_NAME

See Also:
  Constant Field Values

### WSA_ENDPOINT_NAME_QNAME

    static final java.lang.String WSA_ENDPOINT_NAME_QNAME

See Also:
  Constant Field Values

### WSA_POLICIES

    static final java.lang.String WSA_POLICIES

See Also:
  Constant Field Values

### WSA_POLICIES_QNAME

    static final java.lang.String WSA_POLICIES_QNAME

See Also:
  Constant Field Values

### WSA_NAMESPACE

    static final java.lang.String WSA_NAMESPACE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.